package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ParamArticuloDAO;
import com.rjconsultores.ventaboletos.entidad.ParamArticulo;

@Repository("paramArticuloDAO")
public class ParamArticuloHibernateDAO extends
		GenericHibernateDAO<ParamArticulo, Integer> implements ParamArticuloDAO {

	@Autowired
	public ParamArticuloHibernateDAO(
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<ParamArticulo> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		// c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

}
